<template>

  <Page>

    <div
      :style="{
        padding: '12px',
        maxWidth: '640px',
        textAlign: 'center',
        margin: '24px auto 0 auto'
      }"
    >

      <ScorpionLogo width="72px" height="72px" :style="{ margin: '12px' }" variant="inverted"/>

      <h1 :style="{ color: '#F65D6C' }">Scorpion UI</h1><!-- eslint-disable-line -->

      <h2>{{ $t('views.Home.Index.subtitle') }}</h2>

      <i18n tag="p" path="views.Home.Index.text" :style="{ marginTop: '32px' }">
        <template v-slot:br><br /></template>
        <template v-slot:docLink>
          <a href="https://www.npmjs.com/package/@hperchec/scorpion-ui" target="_blank">{{ $t('global.documentation') }}</a>
        </template>
      </i18n>

      <p :style="{ marginTop: '32px' }">
        <span :style="{ color: '#F65D6C', fontWeight: 'bold'}">v{{ version }}</span><!-- eslint-disable-line -->
        (<a href="https://gitlab.com/hperchec/boilerplates/scorpion/lib/scorpion-ui/-/blob/main/CHANGELOG.md" target="_blank">changelog</a>)<!-- eslint-disable-line -->
      </p>

    </div>

    <ExampleToaster/>

    <!-- Locales -->
    <div :style="{ textAlign: 'center', marginTop: '18px' }">

      <div
        v-for="(localeObj, index) in Object.values(LANGS)"
        :key="index"
        :style="{ display: 'inline-block' }"
      >

        <a
          :style="{
            backgroundColor: $app.currentLocale() === localeObj.lang ? '#FEEEF0' : 'transparent',
            color: '#F65D6C',
            padding: '6px',
            borderRadius: '6px',
            margin: '0 6px',
            cursor: 'pointer'
          }"
          @click="$app.setLocale(localeObj.lang)"
        >{{ localeObj.name }}</a>

        <span v-if="index < (Object.values(LANGS).length - 1)">|</span>

      </div>

    </div>

  </Page>

</template>

<script>
/**
 * @vuepress
 * ---
 * title: Router home index component
 * ---
 */

import Core from '@/Core'

import ExampleToastContent from './ExampleToastContent.vue'

/**
 * Home: home page component
 */
export default {
  name: 'HomeRouteComponent',
  data () {
    return {
      version: Core.version
    }
  },
  mounted () {
    this.$app.ui.toast('Example', {
      content: ExampleToastContent,
      keepAlive: true
    })
  }
}
</script>
